### Method

# Soup MessageHeaders get_encoding

#### Declaration [src]

    SoupEncoding
    soup_message_headers_get_encoding (
      SoupMessageHeaders* hdrs
    )

#### Description [src]

Gets the message body encoding that `hdrs` declare.

This may not always correspond to the encoding used on the wire; eg, a HEAD response may declare a Content-Length or Transfer-Encoding, but it will never actually include a body.

#### Return value

Returns: | `SoupEncoding`
| The encoding declared by `hdrs`.